Subject: Re: bug#46853: Confusing terminology "face height" instead of "font size"

From: Stefan Kangas <[email-masked]>
Date: Thu, 4 Mar 2021 09:35:04 -0800

Eli Zaretskii <[email-masked]> writes:

>> So when you say that "it only enlarges those faces which inherit their
>> size from 'default'", doesn't that just mean that *any* face is resized,
>> unless that face itself or any its parents specify an absolute :height
>> (an integer)?
>
> No, it doesn't have to be an absolute :height attribute.  It can also
> be:
>
>   . a face that inherits from a face other than 'default', which has
>     an absolute :height attribute
>   . a face that specifies a relative :height attribute and inherits
>     from a face other than 'default that specifies an absolute :height
>   . any other situation where a face recursively inherits from some
>     other face with a non-default absolute :height

AFAICT, we are saying the same thing.  So we agree here.